
.page-title{
    text-align: center;
    padding: 30px 30px 0px 30px;
}

.index__project-title{
    text-align: center;
    padding: 10px 30px;
}

.index{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #C4CFBD;
    margin: 0px 60px 40px 60px;
    padding: 60px;
    border-radius: 110px;
}

.index__img{
    display: flex;
    justify-content: center;
}

.index__img img{
    height: auto;
    width: 80%;
    min-width: 120px;
    border-radius: 50%/40%; /*50% af bredden og 40% af højden er brugt til afrunding - oval*/
}


.index__about h2{
    margin-bottom: 5%;
    text-align: center;
}


.index__button{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 10px;
    margin-top: 5%;
    gap: 10px
}

.index__button--contact, .index__button--about, .index__button--projects{
    border-radius: 10px;
    text-decoration: none;
    text-align: center;
    width: auto;
    padding: 5px;
}

.index__button--contact{
    background-color: #F8681D;
    border: 2px solid #F8681D ;
    color: #F5F3F3;
}
.index__button--contact:hover{
    background-color: #F5F3F3;
    color: #F8681D;
}

.index__button--about{
    background-color: #D3A4DB;
    border: 2px solid #D3A4DB;
    color: #F5F3F3;
}
.index__button--about:hover{
    background-color: #F5F3F3;
    color: #D3A4DB;
}

.index__button--projects{
    background-color: #D3A4DB;
    border: 2px solid #D3A4DB;
    color: #F5F3F3;
}
.index__button--projects:hover{
    background-color: #F5F3F3;
    color: #D3A4DB;
}

.index__cta{
    display: flex;
    flex-direction: column;
    background-color: #C4CFBD;
    align-items: center;
    padding: 60px;
    margin-top: 10%;
    text-align: center;
}

.index__cta--button{
    background-color: #F8681D;
    border: 2px solid #F8681D ;
    color: #F5F3F3;
    border-radius: 10px;
    text-decoration: none;
    text-align: center;
    width: auto;
    padding: 5px;
    margin-top: 20px;
}

.index__cta--button:hover{
    background-color: #F5F3F3;
    color: #F8681D;
}

/*css til karrusel fra: https://www.youtube.com/shorts/IU8gFtgSxDw */
.carousel__wrapper{
    z-index: 1;
    overflow: hidden;
    width: 100%;
    margin: 15px 0px 15px 0px;
}

.carousel__track{
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: 250px;
    justify-items: stretch;
    animation: animation 24s linear infinite;
}


.carousel__track img{
    width:250px;
    height:270px;
    border-radius: 12px;
    object-fit: cover;
    border: 1px solid #fff
}

@keyframes animation{
    to{
        translate: calc(-4*250px); /*karrusellen har fire forskellige billeder, som hver er 250px bred*/
    }
}

@media(min-width:635px){
    .index{
        flex-direction: row;
    }

    .index__img{
        order: 1;
        width: 50%;
    }
    .index__img img{
        height: auto;
        width: 80%;
        border-radius: 50%/40%;
    }
    .index__text{
        
        width: 50%;
    }
}

@media (min-width:768px) {
    .index__button{
        flex-direction: row;
        justify-content: center;
    }
}

